Skip to main content
GET
/
v2
/
companies
Companies Screener
curl --request GET \
  --url https://api.sectors.app/v2/companies/ \
  --header 'Authorization: <api-key>'
{
  "results": [
    {
      "symbol": "BBCA.JK",
      "company_name": "Bank Central Asia Tbk"
    },
    {
      "symbol": "BBRI.JK",
      "company_name": "Bank Rakyat Indonesia (Persero) Tbk"
    }
  ],
  "pagination": {
    "total_count": 2,
    "showing": 2,
    "limit": 50,
    "offset": 0,
    "has_next": false,
    "has_previous": false,
    "next_offset": null,
    "previous_offset": null
  },
  "llm_translation": {
    "natural_query": "top 2 banks by market cap in 2024",
    "translated_params": {
      "where": "sub_sector = 'banks'",
      "order_by": "-market_cap",
      "limit": 2,
      "offset": 0
    },
    "message": "Used sub_sector = 'banks' to filter for banking companies."
  }
}

Authorizations

Authorization
string
header
required

API key passed directly in the Authorization header (without Bearer prefix).

Query Parameters

where
string

SQL-like conditions for advanced filtering. Ignored if q is present. Supports operators =, !=, >, >=, <, <=, like, in combined with and/or. Use bracket notation for yearly fields: revenue[2024] > 1000000000000. Supports arithmetic on both sides: revenue[2024] / total_assets[2024] > 0.5.

q
string

A natural language query (e.g. top 10 tech companies by revenue in 2023). When q is provided, all other query parameters (where, order_by, etc.) are ignored as the LLM will generate them.

order_by
string
default:symbol

Field to sort results by. Use - prefix for descending order (e.g. -market_cap). Supports arithmetic expressions (e.g. -(earnings[2024]/earnings[2023])). Ignored if q is present.

desc
boolean
default:false

Sort in descending order. Ignored if q is present.

limit
integer
default:50

Maximum number of results to return. Max: 200. Ignored if q is present.

offset
integer
default:0

Number of results to skip for pagination. Ignored if q is present.

include_query_values
boolean
default:false

If true, the response includes a query_values object showing the interpreted year and country extracted from the query.

Response

Paginated list of companies matching the query.

{key}
any